


TDL(1)                                                     TDL(1)


NNAAMMEE
       tdl - A Command Line Version of XVTDL

SSYYNNOOPPSSIISS
       ttddll [ _o_p_t_i_o_n_s ]

DDEESSCCRRIIPPTTIIOONN
       ttddll is a facility that will list and add to the to do list
       databases created by xxvvttddll((LL)) Its various options make  it
       easy to use and flexible.  Its primary use is to list todo
       lists from a  non-window  interface.   It  can  easily  be
       placed  in  cron  databases or executed from shell startup
       scripts.

       Note  that  ttddll  reads  and  processes  the  ".xvtdlrc"  X
       resource  database.   This  means  that  defaults  set  up
       through xxvvttddll((LL)) will be used without further intervention
       by ttddll..

       The  user  is  referred  to xxvvttddll((LL)) for the definition of
       terms and understanding of how to  completely  create  and
       manipulate todo list databases.

OOPPTTIIOONNSS
       -add   This  begins  a  dialog  with  the user directed at
              adding an entry to the specified  database  (or  to
              the  default  database  if none specified).  Except
              for the  "-f"  options,  all  other  arguments  are
              ignored when the program encounters a "-add".

       -all   This specifies that all categories are to be listed
              together (default).

       -categories
              This lists the names of categories in the todo list
              database   given.    Subcategories   are  given  as
              indented from their parents.  All  options,  except
              for  the  "-f" option, are ignored when this option
              is given.

       -category catname
              Use the category "catname" rather  than  all  cate-
              gories for listing.

       -date date
              List  the  date specified as "date" rather than the
              current date. This is given in "mm/dd/yy" format.

       -deadline
              Normally, ttddll will not check deadlines when examin-
              ing items for listing.  Specifying this option will
              force ttddll to check the deadline of each  item  when
              examined for listing.




                           11 Sept 1992                         1





TDL(1)                                                     TDL(1)


              Note  that  using  this option could be an inconve-
              nience.  For example, if a deadline  action  is  to
              mail  a message after the deadline, and the current
              date is after the deadline, checking the list  with
              deadline checking several times a day can result in
              several mail messages.

       -f file
              Use "file" instead of $HOME/.tododb

       -help  This will print a usage message and quit.

       -include
              When printing the list, include checked items.  The
              default is not to include these items.

       -list  List  the database for a particular date (default).

       -print Print the database for a particular date.

       -printer printer
              Print  the  list  on  the  printer  "printer".  The
              default is "lp".

       -postscript
              Print  the list in PostScript form.  The default is
              to print  the  list  prepared  for  a  plain  ASCII
              printer.

       -scale factor
              Scale  the  PostScript  output by the integer "fac-
              tor".  Ignored if the "-postscript" option  is  not
              used.

FFIILLEESS
       $HOME/.tododb
              This is the default to do list database.

       /tmp/xvtdl*
              When printing, this temporary file is used to store
              the list prior to sending to the printer.

SSEEEE AALLSSOO
       cm(1) xvtdl(L)

AAUUTTHHOORR
       The ttddll program was written by Mike Jipping, Hope  College
       Department  of  Computer  Science.  All comments, praises,
       bug reports, and flames should be sent  to  him  at  "jip-
       ping@cs.hope.edu".  He'll at least read your message.

KKNNOOWWNN BBUUGGSS
       There  are  currently no known aspects of the program that
       corrupt the data or crash the program.



                           11 Sept 1992                         2





TDL(1)                                                     TDL(1)



























































                           11 Sept 1992                         3


